# Generated by Django 2.0.6 on 2018-06-15 08:22

from django.conf import settings
from django.db import migrations, models
import django.db.models.fields


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('cashlogger', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name=django.db.models.fields.IntegerField)),
                ('name', models.CharField(max_length=120)),
                ('balance', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Expense',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False, verbose_name=django.db.models.fields.IntegerField)),
                ('name', models.CharField(max_length=60)),
                ('amount_money', models.IntegerField()),
                ('insert_data', models.DateField(auto_now=True)),
            ],
        ),
        migrations.DeleteModel(
            name='MoneyCategory',
        ),
        migrations.AddField(
            model_name='category',
            name='expense',
            field=models.ManyToManyField(to='cashlogger.Expense'),
        ),
        migrations.AddField(
            model_name='category',
            name='user',
            field=models.ManyToManyField(to=settings.AUTH_USER_MODEL),
        ),
    ]
